Skip to content

List Target Values

Request

Get list of target values

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
dimensionstring

Target dimension code

namestring

Search name

page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
sort_bystring

The field to sort by. You can use any field name in ascending or descending order. For ascending order, use the field name directly, e.g., id. For descending order, prefix the field name with a hyphen (-), e.g., -id.

Example:sort_by=id, -id, name, -name
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/target_values?dimension=string&name=string&page_limit=100&page_offset=0&sort_by=id%2C%20-id%2C%20name%2C%20-name' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List target values response

Bodyapplication/json
dataArray of objects or null
metaobject(pagination metadata)
Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }